V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
pheyer
V2EX  ›  iOS

还有在用 Mac Mini2012 开发的吗

  •  
  •   pheyer · 125 天前 · 1676 次点击
    这是一个创建于 125 天前的主题,其中的信息可能已经有所发展或是发生改变。

    朋友的 Mac Mini 2012 想做 iOS 开发玩玩,升级了内存和 SSD ,因为硬件版本太老的原因,现在已经升级不到最新的系统了,想问一下这里有没有人用特别的办法升级到最新的系统和装上 Xcode13

    20 条回复    2022-06-03 21:21:01 +08:00
    Xusually
        1
    Xusually  
       125 天前
    早年 dosdude1 老兄一直会写 patcher 帮大家在不支持的老 Mac 上安装新系统:
    http://dosdude1.com/software.html

    后来老哥不更新了,目前比较麻烦:
    https://forums.macrumors.com/threads/macos-12-monterey-on-unsupported-macs-thread.2299557/
    https://sysin.org/blog/install-macos-12-on-unsupported-mac/
    pheyer
        2
    pheyer  
    OP
       125 天前
    @Xusually 挺好,我研究一下,谢谢
    mongodb
        3
    mongodb  
       125 天前
    多大内存,我记得默认很卡吧。。。
    wu67
        4
    wu67  
       125 天前
    @mongodb 12 款可以自己升级, 包括硬盘和内存.
    ak47iej
        5
    ak47iej  
       125 天前
    之前给一台 imac 2013 用过 github 上的 big sur micropatcher ,还是比较简单就能装上 big sur 的,macOS 12 GPU 方面好像加了不少东西会比较多 bug 就没去试了
    dog82
        6
    dog82  
       125 天前
    用 opencore legacy patcher 就行,支持的很好
    cssk
        7
    cssk  
       125 天前
    在用 2013 ,已经装不上最新版 xcode 了
    phub2020
        8
    phub2020  
       125 天前
    太老了,真的没必要折磨自己
    zhjmv6
        9
    zhjmv6  
       125 天前
    我在用 MacBook Pro 2012 开发,如果不是因为「公司不给升级设备」这样的理由,还是放弃折腾比较好。。。。。。
    lirunext
        10
    lirunext  
       125 天前
    应该可以,用黑苹果的方式来装,这位网友 11 年前的 2011 款 MacBook Air 成功安装 Monterey 12.4 。供楼主参考。https://bbs.pcbeta.com/viewthread-1931929-1-1.html
    pheyer
        11
    pheyer  
    OP
       125 天前
    @zhjmv6 朋友属于玩玩的性质,不是在公司里面做 iOS 。公司要是基于这种理由不给升级设备,那就没有呆的意义了
    lirunext
        12
    lirunext  
       125 天前
    @ak47iej #5 老兄,关于“macOS 12 GPU 方面好像加了不少东西”这个能否展开多说几句,或者给一些链接之类的资料供研究。我对这方面有兴趣,我有台黑苹果,装 11 big sur 显卡方面没啥问题,但是 12 monterey 就有显卡方面的问题。
    huobazi
        13
    huobazi  
       125 天前
    我还在用 2012 的 mbp
    zhjmv6
        14
    zhjmv6  
       125 天前
    @pheyer 哦那样的话,折腾折腾挺好的,还能学习。我司不给我升级 MacBook 是因为主业不是 iOS 开发。(无奖竞猜我有没有在规划跑 hhhhhh
    jdjingdian
        15
    jdjingdian  
       125 天前
    之前可以用 opencore-legacy ,但是这个库的开发者是乌克兰的,然后因为打仗停更了……
    pheyer
        16
    pheyer  
    OP
       125 天前
    @zhjmv6 那倒是的,反正 Mac Mini 2012 可以升级内存与硬盘,你可以无限用下去
    ak47iej
        17
    ak47iej  
       125 天前
    @lirunext 我也是看别人的教学说的而已...我记得那篇文章是说因为 metal 的支持问题,而且 12 也把很多旧显卡的驱动都 drop 了
    wode82863790
        18
    wode82863790  
       125 天前
    17 年刚参加工作时有个大哥就在用 12 款 mini ,那时候都觉着很老了。
    时过境迁,有点感慨
    zhandouji
        19
    zhandouji  
       124 天前 via iPhone
    Mac Pro 台式机可以用 rx6000 系显卡,用 opencore 升级至最新系统。128g 内存 ,nvme 硬盘 机械硬盘 固态硬盘 sata 随便上。
    ingnoscemihi
        20
    ingnoscemihi  
       121 天前
    应该是没有了,不过写 iOS 的如果连个新设备钱都挣不出来。。。那好像也没写的必要了
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1986 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 37ms · UTC 11:30 · PVG 19:30 · LAX 04:30 · JFK 07:30
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.